import { AxiosInstance } from 'axios';
import { TFunction } from 'i18next';
import { Phone } from '../PhoneNumberInput/PhoneNumberInput';
import React from 'react';
export interface TravelerForm {
    treatment: string;
    firstName: string;
    lastName: string;
    birthDate: Date;
    gender: string;
    email: string;
    phone: Phone;
    document: string;
    documentType: string;
    hasSystemAccess: string;
}
export type TravelerFormProps = {
    baseUrl: string;
    axiosInstance: AxiosInstance;
    t: TFunction;
};
export default function TravelerForm(props: TravelerFormProps): React.JSX.Element;
